Name:           csync
Version:        0.50.4
Release:        1%{?dist}
Summary:        A user level bidirectional client only file synchronizer

License:        GPLv2+
URL:            http://www.csync.org
# Comes from ownCloud
# pulled from http://download.opensuse.org/repositories/isv:/ownCloud:/devel/Fedora_16/src/
Source0:        %{name}-%{version}.tar.bz2
# Fix FSF Address
Patch0:         fix-fsf-address.patch

BuildRequires:  cmake
BuildRequires:  iniparser-devel libsmbclient-devel libssh-devel
BuildRequires:  log4c-devel neon-devel sqlite-devel

%description
csync is an implementation of a file synchronizer which provides the feature of
roaming home directories for Linux clients. csync makes use of libsmbclient in
Samba/Windows environments.


%package        -n libcsync
Summary:        A user level bidirectional client only file synchronizer

%description    -n libcsync
csync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. csync makes use
of libsmbclient in Samba/Windows environments.


%package        -n libcsync-devel
Summary:        Development files for %{name}
Requires:       lib%{name}%{?_isa} = %{version}-%{release}

%description    -n libcsync-devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        -n libcsync-plugin-owncloud
Summary:        A user level bidirectional client only file synchronizer
Requires:       lib%{name}%{?_isa} = %{version}-%{release}

%description    -n libcsync-plugin-owncloud
csync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. csync makes use
of libneon to access ownCloud.


%package        -n libcsync-plugin-sftp
Summary:        A user level bidirectional client only file synchronizer
Requires:       lib%{name}%{?_isa} = %{version}-%{release}

%description    -n libcsync-plugin-sftp
csync is an implementation of a file synchronizer which provides the
feature of roaming home directories for Linux clients. csync makes use
of libsmbclient in Samba/Windows environments.


%package        -n libcsync-plugin-smb
Summary:        SMB plugin for csync
Requires:       lib%{name}%{?_isa} = %{version}-%{release}

%description    -n libcsync-plugin-smb
This plug-in allows applications using csync to synchronize with a
Samba or Windows server.


%prep
%setup -q
%patch0 -p0


%build
pushd build
%cmake ..
make %{?_smp_mflags}
popd build


%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd build
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}


%post -n libcsync -p /sbin/ldconfig

%postun -n libcsync -p /sbin/ldconfig


%files
%doc AUTHORS COPYING README
%doc doc/userguide
%config(noreplace) %{_sysconfdir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man?/%{name}.*

%files -n libcsync
%doc AUTHORS COPYING README
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}_exclude.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}_log.conf
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}-0

%files -n libcsync-devel
%doc AUTHORS COPYING README
%{_includedir}/*
%{_libdir}/*.so

%files -n libcsync-plugin-owncloud
%doc AUTHORS COPYING README
%{_libdir}/csync-0/csync_owncloud.so

%files -n libcsync-plugin-sftp
%doc AUTHORS COPYING README
%{_libdir}/csync-0/csync_sftp.so

%files -n libcsync-plugin-smb
%doc AUTHORS COPYING README
%{_libdir}/csync-0/csync_smb.so


%changelog
* Wed Apr 04 2012 Felix Kaechele <heffer@fedoraproject.org> - 0.50.4-1
- initial package
